Unable to start sabplus after install

modem7
Posts: 166
Joined: Tue Mar 20, 2012 6:00 pm

Unable to start sabplus after install

Postby modem7 » Tue Jun 26, 2018 11:53 am

Hey guys,

Just went to try and upgrade my sabplus install, but for some reason, I'm unable to start it now.

When I try, it gives a 404 error.

I've tried opening it in the following methods:

192.168.0.254:25915
http://sabnzbdplus.home.com:25915/
http://sabnzbdplus.home.com

They all come up with similar issues.

I was following this guide: https://wiki.amahi.org/index.php/Sabnzb ... _to_Latest

Currently running Amahi on Fedora.
amahi-app-installer.log
(84.11 KiB) Downloaded 10 times
Let me know what info I need to provide!

User avatar
bigfoot65
Project Manager
Posts: 11063
Joined: Mon May 25, 2009 4:31 pm

Re: Unable to start sabplus after install

Postby bigfoot65 » Tue Jun 26, 2018 2:40 pm

If you check the app install log provided, you’ll notice there are errors.

What version of Fedora / Amahi are you using?

Recommend you uninstall, the reinstall.

Check the log for errors.

BTW the wiki guidance you are following is not officially supported by Amahi. It may be outdated and could break your HDA.
ßîgƒσστ65
Applications Manager

modem7
Posts: 166
Joined: Tue Mar 20, 2012 6:00 pm

Re: Unable to start sabplus after install

Postby modem7 » Tue Jun 26, 2018 3:26 pm

Running a rather outdated version of Amahi. I think I might need to just say screw it and do the upgrade finally.

Bah!

Thank you though!

User avatar
bigfoot65
Project Manager
Posts: 11063
Joined: Mon May 25, 2009 4:31 pm

Re: Unable to start sabplus after install

Postby bigfoot65 » Tue Jun 26, 2018 3:40 pm

No problem.

Always best to stay up to date with Amahi when possible.

Upgrade path has gotten better since Amahi 7.

Will mark this as closed.
ßîgƒσστ65
Applications Manager

modem7
Posts: 166
Joined: Tue Mar 20, 2012 6:00 pm

Re: Unable to start sabplus after install

Postby modem7 » Wed Jun 27, 2018 4:39 pm

OK,

I think I was a bit too quick to dismiss this one!

Just looking at the logs when I attempt to install, it states the following:

Code: Select all

======= app install begin @ Thu Jun 28 00:32:31 +0100 2018 ========== Installing app id l87u14kg9n under /var/hda/platform/html ENV=production NOTICE: redirected 'http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/0.7.11/SABnzbd-0.7.11-src.tar.gz' --> 'https://ayera.dl.sourceforge.net/project/sabnzbdplus/sabnzbdplus/0.7.11/SABnzbd-0.7.11-src.tar.gz' ... NOTE: file /tmp/amahi-download-cache/382117410387839b8e9c4cd1fc2379539edd6af8 written in cache WARNING: primary downloaded file /tmp/amahi-download-cache/382117410387839b8e9c4cd1fc2379539edd6af8 did not pass signature check - got ebeba8c7f8878ed14d7e327dec3107c47e0ff44a, expected 382117410387839b8e9c4cd1fc2379539edd6af8 NOTE: new file /tmp/amahi-download-cache/382117410387839b8e9c4cd1fc2379539edd6af8 from Amahi's cache written in the cache Your HDA services have been restarted. Your HDA services have been restarted. /usr/bin/amahi-download:107:in `download_and_check_sha1': http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/sabnzbd-0.6.15/SABnzbd-0.6.15-src.tar.gz, 'ebeba8c7f8878ed14d7e327dec3107c47e0ff44a' vs. 'e6d64ec35e837fe634d6e45234ec64c49cbb7e3b' (SHA1VerificationFailed) from /usr/bin/amahi-download:122:in `main' from /usr/bin/amahi-download:129 NOTICE: redirected 'http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/sabnzbd-0.6.15/SABnzbd-0.6.15-src.tar.gz' --> 'https://ayera.dl.sourceforge.net/project/sabnzbdplus/sabnzbdplus/sabnzbd-0.6.15/SABnzbd-0.6.15-src.tar.gz' ... tar (child): SABnzbd-0.6.15-src.tar.gz: Cannot open: No such file or directory tar (child): Error is not recoverable: exiting now tar: Child returned status 2 tar: Error is not recoverable: exiting now mv: cannot stat `SABnzbd-0.6.15': No such file or directory chown: cannot access `html': No such file or directory /tmp/run_script20180628-17605-14jva2r-0: line 12: html/.htaccess: No such file or directory /tmp/run_script20180628-17605-14jva2r-0: line 64: html/sabnzbd.ini: No such file or directory mv: cannot stat `html/sabnzbd.ini': No such file or directory mv: cannot create regular file `html/': Is a directory Starting SABnzbd. /usr/bin/sabnzbdplus: line 2: cd: /var/hda/web-apps/sabnzbdplus/html: No such file or directory App: SABnzbd Plus installed ======= app install end @ Thu Jun 28 00:32:43 +0100 2018 ==========
Prior to this, I had cleared my /tmp/amahi-download-cache, and when I started the installation, a file was downloaded:
Capture.JPG
Capture.JPG (11.63 KiB) Viewed 195 times
So there seems to be some form of failure between the download and the extraction of the file, where it can't find SABnzbd-0.6.15-src.tar.gz.

I am able to download this normally with no problems via a browser.

On further investigation, it seems like the same problem as https://bugs.amahi.org/issues/1128 and https://bugs.amahi.org/issues/1594 where the download location changed.I've checked any firewall issues as well (disable it, still having same error in this case).

I wonder if this is the reason the following occurs:

Code: Select all

WARNING: primary downloaded file /tmp/amahi-download-cache/382117410387839b8e9c4cd1fc2379539edd6af8 did not pass signature check - got ebeba8c7f8878ed14d7e327dec3107c47e0ff44a, expected 382117410387839b8e9c4cd1fc2379539edd6af8



===========

Previous installs were the following:

Code: Select all

NOTICE: redirected 'http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/sabnzbd-0.6.15/SABnzbd-0.6.15-src.tar.gz' --> 'http://netcologne.dl.sourceforge.net/project/sabnzbdplus/sabnzbdplus/sabnzbd-0.6.15/SABnzbd-0.6.15-src.tar.gz' ...
Current one is:

Code: Select all

NOTICE: redirected 'http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/0.7.11/SABnzbd-0.7.11-src.tar.gz' --> 'https://ayera.dl.sourceforge.net/project/sabnzbdplus/sabnzbdplus/0.7.11/SABnzbd-0.7.11-src.tar.gz' ...

Is there a way to get it to install SABnzbd-0.6.15-src.tar.gz instead of SABnzbd-0.7.11-src.tar.gz if the dependencies aren't suitable for the outdated version (unsure if the script checks for the OS version)? As it seems to be getting confused between the two versions as seen in the log.

User avatar
bigfoot65
Project Manager
Posts: 11063
Joined: Mon May 25, 2009 4:31 pm

Re: Unable to start sabplus after install

Postby bigfoot65 » Wed Jun 27, 2018 5:12 pm

If you want to install a different version than provided by Amahi, you will need to do it manually. Sorry we cannot provide any support though.

What version of Amahi do you use? We only update apps for the latest stable Amahi release.

Also we don’t provide support for old versions of Amahi. Recommend you upgrade to the latest version of Amahi.
ßîgƒσστ65
Applications Manager

Who is online

Users browsing this forum: No registered users and 1 guest